package com.gingersoft.gsa.delivery_pick_mode.ui.base

import androidx.fragment.app.Fragment
import com.gingersoft.gsa.cloud.ui.widget.dialog.LoadingDialog

open class BaseFragment(contentLayoutId: Int) : Fragment(contentLayoutId) {

    constructor() : this(0)

    fun showLoading(message: String? = null) {
        if (message != null)
            LoadingDialog.showDialogForLoading(activity, message, true)
        else
            LoadingDialog.showDialogForLoading(activity)
    }

    fun cancelDialogForLoading() {
        LoadingDialog.cancelDialogForLoading()
    }
}